!function(root, factory) {
    "object" == typeof exports && "object" == typeof module ? module.exports = factory(require("skatejs"), require("classnames"), require("akutil-common")) : "function" == typeof define && define.amd ? define([ "skatejs", "classnames", "akutil-common" ], factory) : "object" == typeof exports ? exports.akLozenge = factory(require("skatejs"), require("classnames"), require("akutil-common")) : root.akLozenge = factory(root.skatejs, root.classnames, root["akutil-common"]);
}(this, function(__WEBPACK_EXTERNAL_MODULE_4__, __WEBPACK_EXTERNAL_MODULE_5__, __WEBPACK_EXTERNAL_MODULE_6__) {
    /******/
    return function(modules) {
        /******/
        /******/
        // The require function
        /******/
        function __webpack_require__(moduleId) {
            /******/
            /******/
            // Check if module is in cache
            /******/
            if (installedModules[moduleId]) /******/
            return installedModules[moduleId].exports;
            /******/
            /******/
            // Create a new module (and put it into the cache)
            /******/
            var module = installedModules[moduleId] = {
                /******/
                exports: {},
                /******/
                id: moduleId,
                /******/
                loaded: !1
            };
            /******/
            /******/
            // Return the exports of the module
            /******/
            /******/
            /******/
            // Execute the module function
            /******/
            /******/
            /******/
            // Flag the module as loaded
            /******/
            return modules[moduleId].call(module.exports, module, module.exports, __webpack_require__), 
            module.loaded = !0, module.exports;
        }
        // webpackBootstrap
        /******/
        // The module cache
        /******/
        var installedModules = {};
        /******/
        /******/
        // Load entry module and return exports
        /******/
        /******/
        /******/
        /******/
        // expose the modules object (__webpack_modules__)
        /******/
        /******/
        /******/
        // expose the module cache
        /******/
        /******/
        /******/
        // __webpack_public_path__
        /******/
        return __webpack_require__.m = modules, __webpack_require__.c = installedModules, 
        __webpack_require__.p = "", __webpack_require__(0);
    }([ /* 0 */
    /***/
    function(module, exports, __webpack_require__) {
        "use strict";
        function _interopRequireDefault(obj) {
            return obj && obj.__esModule ? obj : {
                default: obj
            };
        }
        Object.defineProperty(exports, "__esModule", {
            value: !0
        });
        var _hasOwn = Object.prototype.hasOwnProperty, _forOwn = function(object, iterator) {
            for (var prop in object) _hasOwn.call(object, prop) && iterator(object[prop], prop);
        }, _renderArbitrary = function _renderArbitrary(child) {
            var type = typeof child;
            "number" === type || "string" === type || "object" === type && child instanceof String ? _skatejs.vdom.text(child) : "function" === type && child.__jsxDOMWrapper ? child() : Array.isArray(child) ? child.forEach(_renderArbitrary) : "object" === type && "[object Object]" === String(child) && _forOwn(child, _renderArbitrary);
        }, _skatejs = __webpack_require__(4), _classnames = __webpack_require__(5), _classnames2 = _interopRequireDefault(_classnames), _akutilCommon = __webpack_require__(6), _shadow = __webpack_require__(7), _shadow2 = _interopRequireDefault(_shadow), APPEARANCE_ENUM = {
            values: [ "default", "success", "removed", "inprogress", "new", "moved" ],
            missingDefault: "default",
            invalidDefault: "default"
        }, definition = {
            render: function(elem) {
                var classes = (0, _classnames2.default)([ _shadow2.default.locals.lozenge, _shadow2.default.locals[elem.appearance] ]);
                return _skatejs.vdom.elementOpen("span", null, null, "class", classes, "bold", elem.bold), 
                _skatejs.vdom.elementOpen("style"), _renderArbitrary(_shadow2.default.toString()), 
                _skatejs.vdom.elementClose("style"), _skatejs.vdom.elementOpen("span", null, null, "className", _shadow2.default.locals.content), 
                _skatejs.vdom.elementVoid("slot"), _skatejs.vdom.elementClose("span"), _skatejs.vdom.elementClose("span");
            },
            props: {
                /**
	     * @description Affects the visual style of the badge.
	     * Allowed values are: 'default', 'success', 'removed', 'inprogress', 'new', 'moved'.
	     * @memberof AkLozenge
	     * @instance
	     * @type {string}
	     * @default default
	     */
                appearance: (0, _akutilCommon.enumeration)(APPEARANCE_ENUM)({
                    attribute: !0
                }),
                /**
	     * @description Toggles the bolder appearance.
	     * @memberof AkLozenge
	     * @instance
	     * @type {boolean}
	     * @default false
	     */
                bold: _skatejs.prop.boolean({
                    attribute: !0,
                    default: !1
                })
            }
        };
        exports.default = (0, _skatejs.define)("ak-lozenge", definition);
    }, /* 1 */
    , /* 2 */
    , /* 3 */
    , /* 4 */
    /***/
    function(module, exports) {
        module.exports = __WEBPACK_EXTERNAL_MODULE_4__;
    }, /* 5 */
    /***/
    function(module, exports) {
        module.exports = __WEBPACK_EXTERNAL_MODULE_5__;
    }, /* 6 */
    /***/
    function(module, exports) {
        module.exports = __WEBPACK_EXTERNAL_MODULE_6__;
    }, /* 7 */
    /***/
    function(module, exports, __webpack_require__) {
        exports = module.exports = __webpack_require__(8)(), // imports
        // module
        exports.push([ module.id, "._1WXZUVBVW6HNHvpItSaNJS,ak-lozenge{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}._1WXZUVBVW6HNHvpItSaNJS>_shadow_root_,ak-lozenge>_shadow_root_{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}._1WXZUVBVW6HNHvpItSaNJS:not([defined]),ak-lozenge:not([defined]){display:none}:host{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}:host(:not([defined])){display:none}._3gYZ_y6ZGYy1iiwnwF0IAn{border-radius:3px;box-sizing:border-box;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;font-size:11px;font-weight:700;line-height:1;max-width:200px;padding:2px 4px 3px;text-transform:uppercase;vertical-align:baseline;white-space:nowrap}.QMe5JXZA80tcOyv1n6TUP{display:inline-block;overflow:hidden;text-overflow:ellipsis}.h4MwqeVnS3URyoNhqd_8p{background:#f4f5f7;color:#42526e}.h4MwqeVnS3URyoNhqd_8p[bold]{background:#dfe1e6;color:#253858}._1_JrYMW7hwOMRVj9uU6wZ{background:#e3fcef;color:#064}._1_JrYMW7hwOMRVj9uU6wZ[bold]{background:#064;color:#fff}.VGziEGICtgeF8FIY3d0-f{background:#ffebe6;color:#bf2600}.VGziEGICtgeF8FIY3d0-f[bold]{background:#bf2600;color:#fff}.Uq3w1f6lRTeb3PznoBxIp{background:#deebff;color:#0049b0}.Uq3w1f6lRTeb3PznoBxIp[bold]{background:#0049b0;color:#fff}._24wJ3mmldsSJNn3m2zUEiz{background:#eae6ff;color:#403294}._24wJ3mmldsSJNn3m2zUEiz[bold]{background:#403294;color:#fff}._3PgSa2R6RpdIXvpMomul7Z{background:#fffae6;color:#344563}._3PgSa2R6RpdIXvpMomul7Z[bold]{background:#ff8b00;color:#344563}", "" ]), 
        // exports
        exports.locals = {
            "ak-lozenge": "_1WXZUVBVW6HNHvpItSaNJS",
            akLozenge: "_1WXZUVBVW6HNHvpItSaNJS",
            lozenge: "_3gYZ_y6ZGYy1iiwnwF0IAn",
            lozenge: "_3gYZ_y6ZGYy1iiwnwF0IAn",
            content: "QMe5JXZA80tcOyv1n6TUP",
            content: "QMe5JXZA80tcOyv1n6TUP",
            default: "h4MwqeVnS3URyoNhqd_8p",
            default: "h4MwqeVnS3URyoNhqd_8p",
            success: "_1_JrYMW7hwOMRVj9uU6wZ",
            success: "_1_JrYMW7hwOMRVj9uU6wZ",
            removed: "VGziEGICtgeF8FIY3d0-f",
            removed: "VGziEGICtgeF8FIY3d0-f",
            inprogress: "Uq3w1f6lRTeb3PznoBxIp",
            inprogress: "Uq3w1f6lRTeb3PznoBxIp",
            new: "_24wJ3mmldsSJNn3m2zUEiz",
            new: "_24wJ3mmldsSJNn3m2zUEiz",
            moved: "_3PgSa2R6RpdIXvpMomul7Z",
            moved: "_3PgSa2R6RpdIXvpMomul7Z"
        };
    }, /* 8 */
    /***/
    function(module, exports) {
        /*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
        // css base code, injected by the css-loader
        module.exports = function() {
            var list = [];
            // return the list of modules as css string
            // import a list of modules into the list
            return list.toString = function() {
                for (var result = [], i = 0; i < this.length; i++) {
                    var item = this[i];
                    item[2] ? result.push("@media " + item[2] + "{" + item[1] + "}") : result.push(item[1]);
                }
                return result.join("");
            }, list.i = function(modules, mediaQuery) {
                "string" == typeof modules && (modules = [ [ null, modules, "" ] ]);
                for (var alreadyImportedModules = {}, i = 0; i < this.length; i++) {
                    var id = this[i][0];
                    "number" == typeof id && (alreadyImportedModules[id] = !0);
                }
                for (i = 0; i < modules.length; i++) {
                    var item = modules[i];
                    // skip already imported module
                    // this implementation is not 100% perfect for weird media query combinations
                    //  when a module is imported multiple times with different media queries.
                    //  I hope this will never occur (Hey this way we have smaller bundles)
                    "number" == typeof item[0] && alreadyImportedModules[item[0]] || (mediaQuery && !item[2] ? item[2] = mediaQuery : mediaQuery && (item[2] = "(" + item[2] + ") and (" + mediaQuery + ")"), 
                    list.push(item));
                }
            }, list;
        };
    } ]);
});